Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | List of all members
cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ > Struct Template Reference

`#include <gemm_traits.h>`

## Public Types
typedef GemmGlobalIteratorAb< typename GemmTileTraitsHelperA_::GlobalTileTraits, Index_ > | GlobalLoadIteratorA
| The global iterator to load A from global memory. More...
typedef Copy< typename GlobalLoadIteratorA::Fragment > | GlobalTransformerA
| The data converter for A before storing to shared memory. More...
typedef TileStoreIterator< typename GemmTileTraitsHelperA_::SharedStoreTileTraits, typename GemmTileTraitsHelperA_::SharedStoreTileTraits::Scalar, IteratorAdvance::kH, MemorySpace::kShared > | SharedStoreIteratorA
| The iterator to store A to shared memory. More...
typedef GlobalLoadStream< GemmOperand::kA, GlobalLoadIteratorA, SharedStoreIteratorA, GlobalTransformerA > | GlobalLoadStreamA
| The stream to load A from global memory to shared memory. More...
typedef GemmGlobalIteratorAb< typename GemmTileTraitsHelperB_::GlobalTileTraits, Index_ > | GlobalLoadIteratorB
| The global iterator to load B from global memory. More...
typedef Copy< typename GlobalLoadIteratorB::Fragment > | GlobalTransformerB
| The data converter for B before storing to shared memory. More...
typedef TileStoreIterator< typename GemmTileTraitsHelperB_::SharedStoreTileTraits, typename GemmTileTraitsHelperB_::SharedStoreTileTraits::Scalar, IteratorAdvance::kH, MemorySpace::kShared > | SharedStoreIteratorB
| The iterator to store B to shared memory. More...
typedef GlobalLoadStream< GemmOperand::kB, GlobalLoadIteratorB, SharedStoreIteratorB, GlobalTransformerB > | GlobalLoadStreamB
| The stream to load B from global memory to shared memory. More...
typedef TileLoadIterator< typename GemmTileTraitsHelperA_::SharedLoadTileTraits, typename GemmTileTraitsHelperA_::Scalar, IteratorAdvance::kH, MemorySpace::kShared > | SharedLoadIteratorA
| The iterator to load A from shared memory. More...
typedef SharedLoadStream< SharedLoadIteratorA > | SharedLoadStreamA
| The stream to load A from shared memory. More...
typedef TileLoadIterator< typename GemmTileTraitsHelperB_::SharedLoadTileTraits, typename GemmTileTraitsHelperB_::Scalar, IteratorAdvance::kH, MemorySpace::kShared > | SharedLoadIteratorB
| The iterator to load B from shared memory. More...
typedef SharedLoadStream< SharedLoadIteratorB > | SharedLoadStreamB
| The stream to load B from shared memory. More...

## Member Typedef Documentation

## ◆ GlobalLoadIteratorA

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef GemmGlobalIteratorAb<typename GemmTileTraitsHelperA_::GlobalTileTraits, Index_> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::GlobalLoadIteratorA

## ◆ GlobalLoadIteratorB

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef GemmGlobalIteratorAb<typename GemmTileTraitsHelperB_::GlobalTileTraits, Index_> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::GlobalLoadIteratorB

## ◆ GlobalLoadStreamA

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef GlobalLoadStream<GemmOperand::kA, GlobalLoadIteratorA, SharedStoreIteratorA, GlobalTransformerA> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::GlobalLoadStreamA

## ◆ GlobalLoadStreamB

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef GlobalLoadStream<GemmOperand::kB, GlobalLoadIteratorB, SharedStoreIteratorB, GlobalTransformerB> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::GlobalLoadStreamB

## ◆ GlobalTransformerA

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef Copy<typename GlobalLoadIteratorA::Fragment> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::GlobalTransformerA

## ◆ GlobalTransformerB

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef Copy<typename GlobalLoadIteratorB::Fragment> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::GlobalTransformerB

## ◆ SharedLoadIteratorA

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef TileLoadIterator<typename GemmTileTraitsHelperA_::SharedLoadTileTraits, typename GemmTileTraitsHelperA_::Scalar, IteratorAdvance::kH, MemorySpace::kShared> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::SharedLoadIteratorA

## ◆ SharedLoadIteratorB

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef TileLoadIterator<typename GemmTileTraitsHelperB_::SharedLoadTileTraits, typename GemmTileTraitsHelperB_::Scalar, IteratorAdvance::kH, MemorySpace::kShared> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::SharedLoadIteratorB

## ◆ SharedLoadStreamA

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef SharedLoadStream<SharedLoadIteratorA> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::SharedLoadStreamA

## ◆ SharedLoadStreamB

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef SharedLoadStream<SharedLoadIteratorB> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::SharedLoadStreamB

## ◆ SharedStoreIteratorA

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef TileStoreIterator<typename GemmTileTraitsHelperA_::SharedStoreTileTraits, typename GemmTileTraitsHelperA_::SharedStoreTileTraits::Scalar, IteratorAdvance::kH, MemorySpace::kShared> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::SharedStoreIteratorA

## ◆ SharedStoreIteratorB

template<typename GemmTileTraitsHelperA_ , typename GemmTileTraitsHelperB_ , typename Index_ >

typedef TileStoreIterator<typename GemmTileTraitsHelperB_::SharedStoreTileTraits, typename GemmTileTraitsHelperB_::SharedStoreTileTraits::Scalar, IteratorAdvance::kH, MemorySpace::kShared> cutlass::gemm::SimplifiedGemmTraitsHelper< GemmTileTraitsHelperA_, GemmTileTraitsHelperB_, Index_ >::SharedStoreIteratorB

The documentation for this struct was generated from the following file:

- gemm_traits.h